// Editeur code::Blocks : http://wiki.codeblocks.org/index.php?title=Keyboard_Shortcuts
#include <iostream>  // pour les entrées - sorties (In & Out)
#include <iomanip>   // pour le formattage, tel que setprecision, setw, setfill('-'), setbase
#include <cmath>     // pour les fonctions mathématiques,  sqrt = racine carrée.
// # include <limits> // pour des valeurs maximales et minimales
#include <stdio.h>   // pour printf et sprintf
using namespace std;

int main()
{
int nCount = 0;  // indice qui va parcourir les entiers de 1 à nMax
int nMax = 1;    // valeur maximum de l'indice de la somme
double vSum = 0; // résultat de la somme

while (nMax > 0) {
   // Demande à l'utilisateur la valeur de nMax
   cout << "nombre de termes à sommer (0 = fin) : ";
   cin >> nMax;  // attend la saisie d'un nombre entier positif.
   if (nMax <= 0) return 0;

   vSum = 0;
   // Boucle effectuant la somme
   for (nCount = 1; nCount <= nMax; nCount++) {
      // tenez compte de l'indentation !
      vSum = vSum + 1.0 / (1.0*nCount * nCount);
      // sans le "1.0*nCount", le programme est très limité, car
      // on dépasse rapidement la capacité de codage des nombres entiers.
      }

   // Ce premier résultat ne permet pas de deviner ce que cette somme vaut
   cout << "La somme des inverses des carrés de 1 à " << nMax
        << " vaut : " << vSum << endl;

   // Autre affichage, qui donne plus d'espoir de deviner la valeur de la somme
   // lorsque  nMax  tend vers l'infini.
   cout << "Racine carré de 6 fois la somme ci-dessus : "
        << setprecision(15) << sqrt(6*vSum) << endl << endl;

   printf("Résultat = %3.9f\n", sqrt(6*vSum));  // autre affichage, ancien style
   }
return 0;
}
